OGRE: Ogre::v1::StaticGeometry::MaterialBucket Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Types | Public Member Functions | List of all members
Ogre::v1::StaticGeometry::MaterialBucket Class Reference

A MaterialBucket is a collection of smaller buckets with the same Material (and implicitly the same LOD). More...

`#include <OgreStaticGeometry.h>`

Inheritance diagram for Ogre::v1::StaticGeometry::MaterialBucket:
[legend]

## Public Types
typedef vector< GeometryBucket * >::type | GeometryBucketList
| list of Geometry Buckets in this region More...
typedef VectorIterator< GeometryBucketList > | GeometryIterator
| Iterator over geometry. More...

## Public Member Functions
| MaterialBucket (LODBucket *parent, const String &materialName)
virtual | ~MaterialBucket ()
void | addRenderables (RenderQueue *queue, uint8 group, size_t materialLod)
| Add children to the render queue. More...
void | assign (QueuedGeometry *qsm)
| Assign geometry to this bucket. More...
void | build ()
| Build. More...
void | dump (std::ofstream &of) const
| Dump contents for diagnostics. More...
Technique * | getCurrentTechnique (void) const
| Get the current Technique. More...
GeometryIterator | getGeometryIterator (void)
| Get an iterator over the contained geometry. More...
const MaterialPtr & | getMaterial (void) const
| Get the material for this bucket. More...
const String & | getMaterialName (void) const
| Get the material name. More...
LODBucket * | getParent (void)
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...

## Detailed Description

A MaterialBucket is a collection of smaller buckets with the same Material (and implicitly the same LOD).

## Member Typedef Documentation

## ◆ GeometryBucketList

typedef vector<GeometryBucket*>::type Ogre::v1::StaticGeometry::MaterialBucket::GeometryBucketList

list of Geometry Buckets in this region

## ◆ GeometryIterator

typedef VectorIterator<GeometryBucketList> Ogre::v1::StaticGeometry::MaterialBucket::GeometryIterator

Iterator over geometry.

## Constructor & Destructor Documentation

## ◆ MaterialBucket()

Ogre::v1::StaticGeometry::MaterialBucket::MaterialBucket | ( | LODBucket * | parent,
|  | const String & | materialName
| ) |  |

## ◆ ~MaterialBucket()

virtual Ogre::v1::StaticGeometry::MaterialBucket::~MaterialBucket | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ addRenderables()

void Ogre::v1::StaticGeometry::MaterialBucket::addRenderables | ( | RenderQueue * | queue,
|  | uint8 | group,
|  | size_t | materialLod
| ) |  |

Add children to the render queue.

## ◆ assign()

void Ogre::v1::StaticGeometry::MaterialBucket::assign | ( | QueuedGeometry * | qsm | ) |

Assign geometry to this bucket.

## ◆ build()

void Ogre::v1::StaticGeometry::MaterialBucket::build | ( |  | ) |

Build.

## ◆ dump()

void Ogre::v1::StaticGeometry::MaterialBucket::dump | ( | std::ofstream & | of | ) | const

Dump contents for diagnostics.

## ◆ getCurrentTechnique()

Technique* Ogre::v1::StaticGeometry::MaterialBucket::getCurrentTechnique | ( | void |  | ) | const
| inline

Get the current Technique.

## ◆ getGeometryIterator()

GeometryIterator Ogre::v1::StaticGeometry::MaterialBucket::getGeometryIterator | ( | void |  | ) |

Get an iterator over the contained geometry.

## ◆ getMaterial()

const MaterialPtr& Ogre::v1::StaticGeometry::MaterialBucket::getMaterial | ( | void |  | ) | const
| inline

Get the material for this bucket.

## ◆ getMaterialName()

const String& Ogre::v1::StaticGeometry::MaterialBucket::getMaterialName | ( | void |  | ) | const
| inline

Get the material name.

## ◆ getParent()

LODBucket* Ogre::v1::StaticGeometry::MaterialBucket::getParent | ( | void |  | ) |
| inline

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

The documentation for this class was generated from the following file:

- OgreStaticGeometry.h